# rhsm_release – Set or Unset RHSM Release version

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Sets or unsets the release version used by RHSM repositories.

## Requirements

The below requirements are needed on the host that executes this module.

- Red Hat Enterprise Linux 6+ with subscription-manager installed

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
release - / required |  | RHSM release version to use (use null to unset)

## Notes

Note

- This module will fail on an unregistered system. Use the `redhat_subscription` module to register a system prior to setting the RHSM release.

## Examples

    # Set release version to 7.1
    - name: Set RHSM release version
      rhsm_release:
          release: "7.1"

    # Set release version to 6Server
    - name: Set RHSM release version
      rhsm_release:
          release: "6Server"

    # Unset release version
    - name: Unset RHSM release release
      rhsm_release:
          release: null

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
current_release string | success | The current RHSM release version value

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Sean Myers (@seandst)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.